Project

General

Profile

Feature #5231

Allow to disable versioned paths

Added by vo.x (Vit Ondruch) over 6 years ago. Updated almost 5 years ago.

Status:
Closed
Priority:
Normal
Target version:
[ruby-core:39109]

Description

I don't think that the versioned paths are always necessary, when using prefix is enough for most of the cases. Therefore I am attaching patch which allows to disable them during configuration step.

Note that this patch does not disable the version in include directory name, but this can be achieved by using different configuration option.


Related issues

Related to Ruby trunk - Bug #7808: [PATCH] Allow to install arch specific code into different location then nonarchClosed2013-02-09

History

#1 Updated by nobu (Nobuyoshi Nakada) over 6 years ago

  • Tracker changed from Bug to Feature

#2 [ruby-core:39111] Updated by nobu (Nobuyoshi Nakada) over 6 years ago

  • Category set to core
  • Target version set to 2.0.0

#5 [ruby-core:41550] Updated by vo.x (Vit Ondruch) about 6 years ago

The recent version of patch fix small issue with RubyGems LOAD_PATH order.

#6 [ruby-core:43710] Updated by mame (Yusuke Endoh) over 5 years ago

  • Status changed from Open to Assigned
  • Assignee set to nobu (Nobuyoshi Nakada)

Nobu, what do you think?

--
Yusuke Endoh mame@tsg.ne.jp

#7 [ruby-core:48943] Updated by vo.x (Vit Ondruch) about 5 years ago

Ping? Could you accept this patch please?

#8 [ruby-core:50005] Updated by mame (Yusuke Endoh) about 5 years ago

  • Target version changed from 2.0.0 to next minor

#9 [ruby-core:52050] Updated by vo.x (Vit Ondruch) almost 5 years ago

  • Status changed from Assigned to Closed

This is no more relevant. I opened #7807 for leftovers.

Also available in: Atom PDF